package ibase.webitm.ejb.adm;

import javax.ejb.Remote;

import org.w3c.dom.Document;

import ibase.webitm.utility.ITMException;
import java.rmi.RemoteException;


@Remote
public interface UpdateNoOfCVPrcRemote 
{
	public String getData(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String process(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String getData(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String process(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
	
}
